Subject: Re: [bug#27898] [PATCH 2/2] gnu: Put autoconf-related phases immediately after the 'unpack phase.

From: Leo Famulari <[email-masked]>
Date: Wed, 2 Aug 2017 18:44:16 -0400

On Wed, Aug 02, 2017 at 04:31:08PM -0400, Kei Kebreau wrote:
> Leo Famulari <[email-masked]> writes:
> > I guess there is a correct ordering and an incorrect ordering, depending
> > on whether or not these phases should happen before or after the shebang
> > patching phases. Does it work if it happens before the shebangs are
> > patched?
> 
> What does the "it" in "does it work" mean here? If you mean the
> builds themselves, then no. Success isn't guaranteed because the
> configure scripts might not be patched, as the patching phases are
> finished before the "build" phases. This change ensures that the
> "patch-usr-bin-file" phase can operate on generated configure scripts if
> necessary:
> 
> https://lists.gnu.org/archive/html/guix-devel/2017-07/msg00124.html

I'm sorry for sending that confusing sentence! You interpreted it
correctly. Thank for the clarification!